Gentoo Archives: gentoo-user-hu

From: Testa <testa.a.tapos@×××××.com>
To: gentoo-user-hu@l.g.o
Subject: [gentoo-user-hu] Kde probléma....
Date: Sat, 03 Jul 2010 10:07:16
Message-Id: AANLkTilkjLb0achbLvt0XawGSLYXMImk01viNVAm344h@mail.gmail.com
Nos van egy kis gondom ....



rged.

 * Collecting system binaries and libraries
 * Found existing 1_files.rr
 * Collecting complete LD_LIBRARY_PATH
 * Found existing 2_ldpath.rr.
 * Checking dynamic linking consistency
 * Found existing 3_broken.rr.
 * Assigning files to packages
 * Found existing 4_raw.rr
 * Cleaning list of packages to rebuild
 * Found existing 4_pkgs.rr
 * Assigning packages to ebuilds
 * Found existing 4_ebuilds.rr
 * Evaluating package order
[ebuild  N    ] kde-base/libknotificationitem-4.3.5
[ebuild  N    ] kde-base/libkonq-4.4.4
[ebuild  N    ] kde-base/libkworkspace-4.4.4
[ebuild  N    ] kde-base/khotkeys-4.3.5
[ebuild  N    ] kde-base/plasma-apps-4.3.5
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix]
("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking
kde-base/kdelibs-4.4.4)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/kdelibs-4.4.4', 'nomerge') pulled in by
    >=kde-base/kdelibs-4.3.5[-kdeprefix,-aqua] required by ('ebuild',
'/', 'kde-base/khotkeys-4.3.5', 'merge')
    >=kde-base/kdelibs-4.4.4[-kdeprefix,-aqua] required by ('ebuild',
'/', 'kde-base/libkonq-4.4.4', 'merge')
    >=kde-base/kdelibs-4.4.4[semantic-desktop,-kdeprefix,-aqua]
required by ('installed', '/', 'kde-base/nepomuk-4.4.4', 'nomerge')
    (and 4 more)

  ('ebuild', '/', 'kde-base/libknotificationitem-4.3.5', 'merge') pulled in by
    >=kde-base/libknotificationitem-4.3.5[-kdeprefix,-aqua] required
by ('ebuild', '/', 'kde-base/plasma-apps-4.3.5', 'merge')
    >=kde-base/libknotificationitem-4.3.5[-kdeprefix,-aqua] required
by ('ebuild', '/', 'kde-base/khotkeys-4.3.5', 'merge')

 *
 * Warning: Failed to resolve package order.
 * Will merge in arbitrary order
 *
Possible reasons:
- An ebuild is no longer in the portage tree.
- An ebuild is masked, use /etc/portage/packages.keyword
and/or /etc/portage/package.unmask to unmask it
.....
 * All prepared. Starting rebuild
emerge --oneshot   kde-base/khotkeys:4.3
kde-base/plasma-apps:4.3
..........

 * IMPORTANT: 6 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
Calculating dependencies... done!
[ebuild  N    ] kde-base/libknotificationitem-4.3.5  USE="(-aqua)
-debug (-kdeenablefinal) (-kdeprefix)"
[ebuild  N    ] kde-base/libkonq-4.4.4  USE="(-aqua) -debug
(-kdeenablefinal) (-kdeprefix) -test"
[ebuild  N    ] kde-base/libkworkspace-4.4.4  USE="(-aqua) -debug
(-kdeenablefinal) (-kdeprefix)"
[ebuild  N    ] kde-base/khotkeys-4.3.5  USE="(-aqua) -debug
(-kdeenablefinal) (-kdeprefix)"
[ebuild  N    ] kde-base/plasma-apps-4.3.5  USE="(-aqua) -debug
(-kdeenablefinal) (-kdeprefix)"
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix]
("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking
kde-base/kdelibs-4.4.4)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/kdelibs-4.4.4', 'nomerge') pulled in by
    >=kde-base/kdelibs-4.3.5[-kdeprefix,-aqua] required by ('ebuild',
'/', 'kde-base/plasma-apps-4.3.5', 'merge')
    >=kde-base/kdelibs-4.3.5[-kdeprefix,-aqua] required by ('ebuild',
'/', 'kde-base/khotkeys-4.3.5', 'merge')
    >=kde-base/kdelibs-4.4.4[-kdeprefix,-aqua] required by ('ebuild',
'/', 'kde-base/libkworkspace-4.4.4', 'merge')
    (and 2 more)

  ('ebuild', '/', 'kde-base/libknotificationitem-4.3.5', 'merge') pulled in by
    >=kde-base/libknotificationitem-4.3.5[-kdeprefix,-aqua] required
by ('ebuild', '/', 'kde-base/plasma-apps-4.3.5', 'merge')
    >=kde-base/libknotificationitem-4.3.5[-kdeprefix,-aqua] required
by ('ebuild', '/', 'kde-base/khotkeys-4.3.5', 'merge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 6 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

 *
 * revdep-rebuild failed to emerge all packages.
 * you have the following choices:
 * - If emerge failed during the build, fix the problems and re-run
revdep-rebuild.
 * - Use /etc/portage/package.keywords to unmask a newer version of the package.
 *   (and remove 5_order.rr to be evaluated again)
 * - Modify the above emerge command and run it manually.
 * - Compile or unmerge unsatisfied packages manually,
 *   remove temporary files, and try again.
 *   (you can edit package/ebuild list first)
 *
 * To remove temporary files, please run:
 * rm /var/cache/revdep-rebuild/*.rr

Ez még megoldható lenne de én a kde 4.3.5 öt öt teljesen le akarom
cserélni anélkül hogy a teljes Keywords öt ~x86 ra állítanám...
Valakinek valami tipp ?


-- 
www.airndsoft.com
Artificial Intelligence Research aNd Development Software Company

Replies

Subject Author
Re: [gentoo-user-hu] Kde probléma.... cjvt <cjvt@××××××××.hu>